Bug 1304511 - oscap oval eval --results produces CVE results for incorrect kernel
oscap oval eval --results produces CVE results for incorrect kernel
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: openscap (Show other bugs)
6.7
Unspecified Linux
medium Severity medium
: rc
: ---
Assigned To: Šimon Lukašík
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-03 16:14 EST by Bryan Totty
Modified: 2016-02-08 06:58 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-04 07:27:53 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bryan Totty 2016-02-03 16:14:24 EST
Description of problem:
The com.redhat.rhsa-all.xml is reporting incorrect kernel vulnerability updates required.
In this test, a RHEL 6.7 system is used and RHEL 6.4 vulnerabilities are reported as needing to be addressed.

Version-Release number of selected component (if applicable):

$ cat uname -a
Linux rhel64-ia-01 2.6.32-573.12.1.el6.x86_64 #1 SMP Mon Nov 23 12:55:32 EST 2015 x86_64 x86_64 x86_64 GNU/Linux

$ cat /etc/redhat-release 
Red Hat Enterprise Linux Workstation release 6.7 (Santiago)

openscap-1.0.10-3.el6.x86_64
openscap-scanner-1.0.10-3.el6.x86_64
openscap-utils-1.0.10-3.el6.x86_64


How reproducible:
Always.

Steps to Reproduce:

Reference URL- https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux/7/html/Security_Guide/sect-Practical_Examples.html#sect-Auditing_Security_Vulnerabilities_Example

1. yum install openscap-utils
2. wget http://www.redhat.com/security/data/oval/com.redhat.rhsa-all.xml
3. oscap oval eval --results rhsa-results-oval.xml --report oval-report.html com.redhat.rhsa-all.xml


Actual results:
33 kernel errors. When selecting the link that describes the error, it shows CVEs/Patches for RHEL 6.4 (kernel-2.6.32-358.69.1.el6.x86_64). In this test, we are running RHEL 6.7 (2.6.32-573.12.1.el6.x86_64)

Expected results:
Only relevant CVEs/Patches for the correct kernel.
Comment 5 Martin Preisler 2016-02-04 05:45:36 EST
Is kernel-2.6.32-358.69.1.el6.x86_64 installed on the machine? The CVE scan will report vulnerabilities for all installed packages, not just the ones that are running or in use.
Comment 6 Šimon Lukašík 2016-02-04 07:16:34 EST
Hello Bryan,

Thanks time you spent filing this bug. Please communicate the following
to the customer.

Based on the sos report, on the system there are three kernels packages
installed:

    kernel-2.6.32-358.el6.x86_64
    kernel-2.6.32-504.23.4.el6.x86_64
    kernel-2.6.32-573.12.1.el6.x86_64

The vulnerability scan looks for any package that is vulnerable and is installed on the system. Hence you have got reports for kernel-2.6.32-358.el6.x86_64. The rationale is that here is a risk that someone would boot to this kernel package.

Note You need to log in before you can comment on or make changes to this bug.